Subject: cygwin-1.1.1 gcc configuration problem.
From: Teun Burgers <[email-masked]>
To: [email-masked]
Date: Wed, 24 May 2000 13:53:53 +0200

Hi

I downloaded today cygwin-1.1.1 using setup.exe. It downloaded and
installed everything (into c:\cygnus\cygwin-1.1.1)  without error
message.
I had a B20 installation in c:\cynus\cygwin-b20

Now when I try to compile a Hello World program, it complains
it can't find stdio.h. If I add the location where stdio.h
dwells to C_INCLUDE_PATH it does find stdio.h but not
stddev and stdarg.h.

gcc --version says gcc-2.95.2

I probably do something completely wrong setting up path's
and mounts.

any suggestions?

thanks

Teun Burgers

-- 
Drs A.R. Burgers        Netherlands Energy Research Foundation ECN
Phone: +31-224-564959   Solar & Wind Energy, PV Cells & Modules
Fax  : +31-224-563214   P.O. Box 1
email: [email-masked]   1755 ZG Petten, The Netherlands

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Wed May 24 11:39:52 2000

Win95 Ver 4.0 build 67306684  B

Path:	.
	/usr/bin
	/usr/local/bin
	/cygdrive/c/djgpp/bin
	/cygdrive/c/WINDOWS
	/cygdrive/c/WINDOWS/COMMAND
	/cygdrive/c/PROGRA~1/NETWOR~1/MCAFEE~1
	/cygdrive/c/DJGPP/BIN
	/cygdrive/c/BIN
	/cygdrive/c/JDK1.1.7A/BIN

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

C_INCLUDE_PATH = `//c/cygnus/cygwin-1.1.1/usr/i686-pc-cygwin/include'
HOME = `/cygdrive/c/home/teun'
MAKE_MODE = `UNIX'
PWD = `//c/cygnus/cygwin-1.1.1'

Use `-r' to scan registry

a:  fd           N/A    N/A                    
c:  hd  FAT     2047Mb  92% CP    UN       VC  WINDOWS_95
d:  cd           N/A    N/A                    
e:  net NTFS    2047Mb   0% CP CS UN PA FC     
f:  net Samba   2047Mb   0% CP    UN           aburgers
g:  hd  FAT     2047Mb   8% CP    UN       VC  GECOMPRIMD
h:  hd  FAT     2013Mb  97% CP    UN           HOST VOOR C
m:  net NTFS    2047Mb   0% CP CS UN PA FC     
n:  net Samba   2047Mb  72% CP    UN           EcnShare
p:  net NTFS    2047Mb   0% CP CS UN PA FC     

c:\cygnus\cygwin-1.1.1\bin  /usr/bin  user    binmode
c:\cygnus\cygwin-1.1.1\lib  /usr/lib  user    binmode
c:\cygnus\cygwin-1.1.1  /        user    binmode

Found: c:\cygnus\cygwin-1.1.1\bin\bash.exe
Found: c:\djgpp\bin\bash.exe
Found: c:\BIN\bash.exe
Found: \bin\bash.exe
Found: c:\cygnus\cygwin-1.1.1\bin\cat.exe
Found: c:\djgpp\bin\cat.exe
Found: c:\cygnus\cygwin-1.1.1\bin\cpp.exe
Found: c:\djgpp\bin\cpp.exe
Found: c:\cygnus\cygwin-1.1.1\bin\find.exe
Found: c:\djgpp\bin\find.exe
Found: c:\WINDOWS\COMMAND\find.exe
Found: c:\cygnus\cygwin-1.1.1\bin\gcc.exe
Found: c:\djgpp\bin\gcc.exe
Found: c:\cygnus\cygwin-1.1.1\bin\gdb.exe
Found: c:\djgpp\bin\gdb.exe
Found: c:\cygnus\cygwin-1.1.1\bin\ld.exe
Found: c:\djgpp\bin\ld.exe
Found: c:\cygnus\cygwin-1.1.1\bin\ls.exe
Found: c:\djgpp\bin\ls.exe
Found: c:\cygnus\cygwin-1.1.1\bin\make.exe
Found: c:\djgpp\bin\make.exe
Found: c:\cygnus\cygwin-1.1.1\bin\sh.exe
Found: c:\djgpp\bin\sh.exe
Found: c:\BIN\sh.exe
Found: \bin\sh.exe

  451k 1999/07/16 C:\WINDOWS\cygwin1.dll
  569k 2000/05/15 c:\cygnus\cygwin-1.1.1\bin\cygwin1.dll
  115k 1999/09/14 c:\cygnus\cygwin-1.1.1\bin\cygitcl30.dll
   63k 1999/09/14 c:\cygnus\cygwin-1.1.1\bin\cygitk30.dll
  474k 1999/09/14 c:\cygnus\cygwin-1.1.1\bin\cygtcl80.dll
   19k 1999/09/14 c:\cygnus\cygwin-1.1.1\bin\cygtclpip80.dll
   24k 1999/09/14 c:\cygnus\cygwin-1.1.1\bin\cygtclreg80.dll
  768k 1999/09/14 c:\cygnus\cygwin-1.1.1\bin\cygtk80.dll
Use -h to see help about each section
*asm:

*asm_final:

*cpp:
-remap %(cpp_cpu) %{posix:-D_POSIX_SOURCE}   %{!mno-cygwin:-D__CYGWIN32__ -D__CYGWIN__}   %{mthreads: %{mno-cygwin:-D_MT}}   %{mno-cygwin:-iwithprefixbefore     ../../../../%(mingw_include_path)/include/mingw32 -D__MINGW32__=0.2}

*cc1:
%(cc1_spec) 

*cc1plus:

*endfile:

*link:
%{mwindows:--subsystem windows} 		   %{mconsole:--subsystem console} 		   %{shared: %{mdll: %eshared and mdll are not compatible}} 		   %{shared: --shared} %{mdll:--dll} 		   %{shared|mdll: -e 		     %{mno-cygwin:_DllMainCRTStartup@12} 		     %{!mno-cygwin:__cygwin_dll_entry@12}}

*lib:
%{pg:-lgmon} 		  %{!mno-cygwin:-lcygwin} 		  %{mthreads:%{mno-cygwin:-lmingwthrd}} 		  %{mno-cygwin:-lmingw32 -lmoldname -lcrtdll} 		  %{mwindows:-lgdi32 -lcomdlg32} 		  -luser32 -lkernel32 -ladvapi32 -lshell32

*libgcc:
-lgcc

*startfile:
%{shared|mdll: %{mno-cygwin:dllcrt1%O%s}}   %{!shared: %{!mdll: %{!mno-cygwin:crt0%O%s} %{mno-cygwin:crt1%O%s}   %{pg:gcrt0%O%s}}}

*switches_need_spaces:

*signed_char:
%{funsigned-char:-D__CHAR_UNSIGNED__}

*predefines:
-Di386 -D_WIN32   -DWINNT  -D_X86_=1 -D__STDC__=1  -D__stdcall=__attribute__((__stdcall__))   -D__cdecl=__attribute__((__cdecl__))   -D__declspec(x)=__attribute__((x))   -Asystem(winnt) -Acpu(i386) -Amachine(i386)

*cross_compile:
0

*version:
2.95.2

*multilib:
. ;

*multilib_defaults:

*multilib_extra:

*multilib_matches:

*linker:
collect2

*cpp_486:
%{!ansi:-Di486} -D__i486 -D__i486__

*cpp_586:
%{!ansi:-Di586 -Dpentium} 	-D__i586 -D__i586__ -D__pentium -D__pentium__

*cpp_k6:
%{!ansi:-Di586 -Dk6} 	-D__i586 -D__i586__ -D__k6 -D__k6__

*cpp_686:
%{!ansi:-Di686 -Dpentiumpro} 	-D__i686 -D__i686__ -D__pentiumpro -D__pentiumpro__

*cpp_cpu_default:
%(cpp_686)

*cpp_cpu:
-Acpu(i386) -Amachine(i386) %{!ansi:-Di386} -D__i386 -D__i386__ %{mcpu=i486:%(cpp_486)} %{m486:%(cpp_486)} %{mpentium:%(cpp_586)} %{mcpu=pentium:%(cpp_586)} %{mpentiumpro:%(cpp_686)} %{mcpu=pentiumpro:%(cpp_686)} %{mcpu=k6:%(cpp_k6)} %{!mcpu*:%{!m486:%{!mpentium*:%(cpp_cpu_default)}}}

*cc1_cpu:
%{!mcpu*: %{m386:-mcpu=i386 -march=i386} %{m486:-mcpu=i486 -march=i486} %{mpentium:-mcpu=pentium} %{mpentiumpro:-mcpu=pentiumpro}}

*mingw_include_path:
i686-pc-cygwin

*link_command:
%{!fsyntax-only:  %{!c:%{!M:%{!MM:%{!E:%{!S:%(linker) %l %X %{o*} %{A} %{d} %{e*} %{m} %{N} %{n} 			%{r} %{s} %{t} %{u*} %{x} %{z} %{Z}			%{!A:%{!nostdlib:%{!nostartfiles:%S}}}			%{static:} %{L*} %D %o			%{!nostdlib:%{!nodefaultlibs:%G %L %G}}			%{!A:%{!nostdlib:%{!nostartfiles:%E}}}			%{T*}			
 }}}}}}

--
Want to unsubscribe from this list?
Send a message to [email-masked]